body{
    margin: 0;
    padding: 0;
    font-family: Arial, Helvetica, sans-serif;
    background: #262626;
}
.center{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}
.center a{
    display: inherit;
    width: 150px;
    height: 50px;
    color: #ff0;
    font-size: 20px;
    background: transparent;
    text-align: center;
    line-height: 50px;
    text-decoration: none;
    text-transform: uppercase;
    z-index: 1;
    transition: .5s;
}
.center a:before,
.center a:after{
    content: '';
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #ff0;
    opacity: 0;
    transition: .3s;
    z-index: -1;
    overflow: hidden;
}
.center a:before{
    left: 0;
    box-shadow: -100px 0 0 #ff0;
}
.center a:after{
    right: 0;
    box-shadow: 100px 0 0 #ff0;
}
.center a:hover:before{
    left:calc(50% - 10px);
    opacity: 1;
    box-shadow: 30px 0 0 #ff0
}
.center a:hover:after{
    right:calc(50% - 10px);
    opacity: 1;
    box-shadow: -30px 0 0 #ff0
}
span{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #ff0;
    z-index: -2;
    transform: scale(0);
    transition: .3s;
    opacity: 0;
    border-radius: 8px;
    box-shadow: 0 10px 15px rgba(0,0,0,.5);
}
.center a:hover span{
    opacity: 1;
    transform: scale(1);
    transition-delay: .3s;
}
.center a:hover{
    color: #262626;
    transition-delay: .3s;
}